Haalt een installatiekopie van een virtuele machine op.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/publishers/{publisherName}/artifacttypes/vmimage/offers/{offer}/skus/{skus}/versions/{version}?api-version=2025-11-01
URI-parameters
| Name |
In |
Vereist |
Type |
Description |
|
location
|
path |
True
|
string
minLength: 1
|
De naam van de regio Azure.
|
|
offer
|
path |
True
|
string
|
Een geldige aanbieding voor de uitgever van installatiekopieën.
|
|
publisherName
|
path |
True
|
string
|
Een geldige uitgever van installatiekopieën.
|
|
skus
|
path |
True
|
string
|
Een geldige installatiekopieën-SKU.
|
|
subscriptionId
|
path |
True
|
string
minLength: 1
|
De ID van het doelabonnement.
|
|
version
|
path |
True
|
string
|
Een geldige versie van de installatiekopieën-SKU.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
De API-versie die voor deze bewerking moet worden gebruikt.
|
Antwoorden
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name |
Description |
|
user_impersonation
|
Uw gebruikersaccount imiteren
|
Voorbeelden
VirtualMachineImage_Get_MaximumSet_Gen
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/aaaaaa/publishers/aaa/artifacttypes/vmimage/offers/aaaaaaaaaaaaaaaaaaaaaaaaaaaaa/skus/aaaaaaaaaaaaaaaaaaaaaaaaaaa/versions/aaaaaaaaaaaaaaaaaaa?api-version=2025-11-01
/**
* Samples for VirtualMachineImages Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-11-01/virtualMachineImageExamples/VirtualMachineImage_Get_MaximumSet_Gen.json
*/
/**
* Sample code: VirtualMachineImage_Get_MaximumSet_Gen.
*
* @param manager Entry point to ComputeManager.
*/
public static void virtualMachineImageGetMaximumSetGen(com.azure.resourcemanager.compute.ComputeManager manager) {
manager.serviceClient().getVirtualMachineImages().getWithResponse("aaaaaa", "aaa",
"aaaaaaaaaaaaaaaaaaaaaaaaaaaaa", "aaaaaaaaaaaaaaaaaaaaaaaaaaa", "aaaaaaaaaaaaaaaaaaa",
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.compute import ComputeManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-compute
# USAGE
python virtual_machine_image_get_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ComputeManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.virtual_machine_images.get(
location="aaaaaa",
publisher_name="aaa",
offer="aaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
skus="aaaaaaaaaaaaaaaaaaaaaaaaaaa",
version="aaaaaaaaaaaaaaaaaaa",
)
print(response)
# x-ms-original-file: 2025-11-01/virtualMachineImageExamples/VirtualMachineImage_Get_MaximumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcompute_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/compute/armcompute/v8"
)
// Generated from example definition: 2025-11-01/virtualMachineImageExamples/VirtualMachineImage_Get_MaximumSet_Gen.json
func ExampleVirtualMachineImagesClient_Get_virtualMachineImageGetMaximumSetGen() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcompute.NewClientFactory("{subscription-id}", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewVirtualMachineImagesClient().Get(ctx, "aaaaaa", "aaa", "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa", "aaaaaaaaaaaaaaaaaaaaaaaaaaa", "aaaaaaaaaaaaaaaaaaa", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armcompute.VirtualMachineImagesClientGetResponse{
// VirtualMachineImage: &armcompute.VirtualMachineImage{
// Properties: &armcompute.VirtualMachineImageProperties{
// Plan: &armcompute.PurchasePlan{
// Publisher: to.Ptr("aaaaaaaaaaaaaaaaaaa"),
// Name: to.Ptr("aaaaaaaaa"),
// Product: to.Ptr("aaaaaaaaaaaaaa"),
// },
// OSDiskImage: &armcompute.OSDiskImage{
// OperatingSystem: to.Ptr(armcompute.OperatingSystemTypesWindows),
// },
// DataDiskImages: []*armcompute.DataDiskImage{
// {
// Lun: to.Ptr[int32](17),
// },
// },
// AutomaticOSUpgradeProperties: &armcompute.AutomaticOSUpgradeProperties{
// AutomaticOSUpgradeSupported: to.Ptr(true),
// },
// HyperVGeneration: to.Ptr(armcompute.HyperVGenerationTypesV1),
// Disallowed: &armcompute.DisallowedConfiguration{
// VMDiskType: to.Ptr(armcompute.VMDiskTypesNone),
// },
// Features: []*armcompute.VirtualMachineImageFeature{
// {
// Name: to.Ptr("aaaaaaaaaaaaaaaaaaaaa"),
// Value: to.Ptr("aaaaaaaaaaaaaaaaaaaa"),
// },
// },
// ImageDeprecationStatus: &armcompute.ImageDeprecationStatus{
// ImageState: to.Ptr(armcompute.ImageStateScheduledForDeprecation),
// ScheduledDeprecationTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-01-13T00:00:00+00:00"); return t}()),
// AlternativeOption: &armcompute.AlternativeOption{
// Type: to.Ptr(armcompute.AlternativeTypeOffer),
// Value: to.Ptr("aaaaaaa"),
// },
// },
// },
// Name: to.Ptr("aaaaaaaaa"),
// Location: to.Ptr("aaaaa"),
// Tags: map[string]*string{
// "key6817": to.Ptr("aaaaaaaaaaaaaaaaaaaaaaaaaaaaa"),
// },
// ExtendedLocation: &armcompute.ExtendedLocation{
// Name: to.Ptr("aaaaaaaaaaaaaaaaaaaaa"),
// Type: to.Ptr(armcompute.ExtendedLocationTypesEdgeZone),
// },
// ID: to.Ptr("aaaaaaaaaaa"),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ComputeManagementClient } = require("@azure/arm-compute");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to gets a virtual machine image.
*
* @summary gets a virtual machine image.
* x-ms-original-file: 2025-11-01/virtualMachineImageExamples/VirtualMachineImage_Get_MaximumSet_Gen.json
*/
async function virtualMachineImageGetMaximumSetGen() {
const credential = new DefaultAzureCredential();
const subscriptionId = "{subscription-id}";
const client = new ComputeManagementClient(credential, subscriptionId);
const result = await client.virtualMachineImages.get(
"aaaaaa",
"aaa",
"aaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"aaaaaaaaaaaaaaaaaaaaaaaaaaa",
"aaaaaaaaaaaaaaaaaaa",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Compute.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Compute;
// Generated from example definition: specification/compute/resource-manager/Microsoft.Compute/Compute/stable/2025-11-01/examples/virtualMachineImageExamples/VirtualMachineImage_Get_MaximumSet_Gen.json
// this example is just showing the usage of "VirtualMachineImages_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://dotnet.territoriali.olinfo.it/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SubscriptionResource created on azure
// for more information of creating SubscriptionResource, please refer to the document of SubscriptionResource
string subscriptionId = "{subscription-id}";
ResourceIdentifier subscriptionResourceId = SubscriptionResource.CreateResourceIdentifier(subscriptionId);
SubscriptionResource subscriptionResource = client.GetSubscriptionResource(subscriptionResourceId);
// invoke the operation
AzureLocation location = new AzureLocation("aaaaaa");
string publisherName = "aaa";
string offer = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
string skus = "aaaaaaaaaaaaaaaaaaaaaaaaaaa";
string version = "aaaaaaaaaaaaaaaaaaa";
VirtualMachineImage result = await subscriptionResource.GetVirtualMachineImageAsync(location, publisherName, offer, skus, version);
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Voorbeeldrespons
{
"properties": {
"plan": {
"publisher": "aaaaaaaaaaaaaaaaaaa",
"name": "aaaaaaaaa",
"product": "aaaaaaaaaaaaaa"
},
"osDiskImage": {
"operatingSystem": "Windows"
},
"dataDiskImages": [
{
"lun": 17
}
],
"automaticOSUpgradeProperties": {
"automaticOSUpgradeSupported": true
},
"hyperVGeneration": "V1",
"disallowed": {
"vmDiskType": "None"
},
"features": [
{
"name": "aaaaaaaaaaaaaaaaaaaaa",
"value": "aaaaaaaaaaaaaaaaaaaa"
}
],
"imageDeprecationStatus": {
"imageState": "ScheduledForDeprecation",
"scheduledDeprecationTime": "2023-01-13T00:00:00+00:00",
"alternativeOption": {
"type": "Offer",
"value": "aaaaaaa"
}
}
},
"name": "aaaaaaaaa",
"location": "aaaaa",
"tags": {
"key6817": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
},
"extendedLocation": {
"name": "aaaaaaaaaaaaaaaaaaaaa",
"type": "EdgeZone"
},
"id": "aaaaaaaaaaa"
}
VirtualMachineImage_Get_MinimumSet_Gen
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/aaaaaaaaaaaa/publishers/aaaaaaaaaaa/artifacttypes/vmimage/offers/aa/skus/aaaaaaaaa/versions/aaaaaaaaaaaaaaaaaaaaaaaaaaaaa?api-version=2025-11-01
/**
* Samples for VirtualMachineImages Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-11-01/virtualMachineImageExamples/VirtualMachineImage_Get_MinimumSet_Gen.json
*/
/**
* Sample code: VirtualMachineImage_Get_MinimumSet_Gen.
*
* @param manager Entry point to ComputeManager.
*/
public static void virtualMachineImageGetMinimumSetGen(com.azure.resourcemanager.compute.ComputeManager manager) {
manager.serviceClient().getVirtualMachineImages().getWithResponse("aaaaaaaaaaaa", "aaaaaaaaaaa", "aa",
"aaaaaaaaa", "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.compute import ComputeManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-compute
# USAGE
python virtual_machine_image_get_minimum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ComputeManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.virtual_machine_images.get(
location="aaaaaaaaaaaa",
publisher_name="aaaaaaaaaaa",
offer="aa",
skus="aaaaaaaaa",
version="aaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
)
print(response)
# x-ms-original-file: 2025-11-01/virtualMachineImageExamples/VirtualMachineImage_Get_MinimumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcompute_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/compute/armcompute/v8"
)
// Generated from example definition: 2025-11-01/virtualMachineImageExamples/VirtualMachineImage_Get_MinimumSet_Gen.json
func ExampleVirtualMachineImagesClient_Get_virtualMachineImageGetMinimumSetGen() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcompute.NewClientFactory("{subscription-id}", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewVirtualMachineImagesClient().Get(ctx, "aaaaaaaaaaaa", "aaaaaaaaaaa", "aa", "aaaaaaaaa", "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armcompute.VirtualMachineImagesClientGetResponse{
// VirtualMachineImage: &armcompute.VirtualMachineImage{
// Name: to.Ptr("aaaaaaaaa"),
// Location: to.Ptr("aaaaa"),
// ID: to.Ptr("aaaaaaaaaaa"),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ComputeManagementClient } = require("@azure/arm-compute");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to gets a virtual machine image.
*
* @summary gets a virtual machine image.
* x-ms-original-file: 2025-11-01/virtualMachineImageExamples/VirtualMachineImage_Get_MinimumSet_Gen.json
*/
async function virtualMachineImageGetMinimumSetGen() {
const credential = new DefaultAzureCredential();
const subscriptionId = "{subscription-id}";
const client = new ComputeManagementClient(credential, subscriptionId);
const result = await client.virtualMachineImages.get(
"aaaaaaaaaaaa",
"aaaaaaaaaaa",
"aa",
"aaaaaaaaa",
"aaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Compute.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Compute;
// Generated from example definition: specification/compute/resource-manager/Microsoft.Compute/Compute/stable/2025-11-01/examples/virtualMachineImageExamples/VirtualMachineImage_Get_MinimumSet_Gen.json
// this example is just showing the usage of "VirtualMachineImages_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://dotnet.territoriali.olinfo.it/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SubscriptionResource created on azure
// for more information of creating SubscriptionResource, please refer to the document of SubscriptionResource
string subscriptionId = "{subscription-id}";
ResourceIdentifier subscriptionResourceId = SubscriptionResource.CreateResourceIdentifier(subscriptionId);
SubscriptionResource subscriptionResource = client.GetSubscriptionResource(subscriptionResourceId);
// invoke the operation
AzureLocation location = new AzureLocation("aaaaaaaaaaaa");
string publisherName = "aaaaaaaaaaa";
string offer = "aa";
string skus = "aaaaaaaaa";
string version = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
VirtualMachineImage result = await subscriptionResource.GetVirtualMachineImageAsync(location, publisherName, offer, skus, version);
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Voorbeeldrespons
{
"name": "aaaaaaaaa",
"location": "aaaaa",
"id": "aaaaaaaaaaa"
}
Definities
| Name |
Description |
|
AlternativeOption
|
Beschrijft de alternatieve optie die is opgegeven door publisher voor deze installatiekopieën wanneer deze installatiekopieën zijn afgeschaft.
|
|
AlternativeType
|
Beschrijft het type alternatieve optie.
|
|
ApiError
|
Api-fout.
|
|
ApiErrorBase
|
Api-foutbasis.
|
|
ArchitectureTypes
|
Hiermee geeft u het type architectuur
|
|
AutomaticOSUpgradeProperties
|
Hierin worden de eigenschappen voor automatische upgrade van het besturingssysteem op de installatiekopieën beschreven.
|
|
CloudError
|
Een foutreactie van de Compute-service.
|
|
DataDiskImage
|
Bevat de gegevensschijfinstallatiekopieën.
|
|
DisallowedConfiguration
|
Hiermee geeft u de niet-toegestane configuratie voor een installatiekopieën van een virtuele machine.
|
|
ExtendedLocation
|
Het complexe type van de uitgebreide locatie.
|
|
ExtendedLocationTypes
|
Het type van de uitgebreide locatie.
|
|
HyperVGenerationTypes
|
Hiermee geeft u het HyperVGeneration-type op
|
|
ImageDeprecationStatus
|
Beschrijft eigenschappen van de afschaffingsstatus van de installatiekopieën op de afbeelding.
|
|
ImageState
|
Beschrijft de status van de afbeelding.
|
|
InnerError
|
Interne foutdetails.
|
|
OperatingSystemTypes
|
Met deze eigenschap kunt u het type besturingssysteem opgeven dat op de schijf is opgenomen als u een virtuele machine maakt op basis van een aangepaste installatiekopie. Mogelijke waarden zijn: Windows,Linux.
|
|
OSDiskImage
|
Bevat informatie over de installatiekopieën van de besturingssysteemschijf.
|
|
PurchasePlan
|
Wordt gebruikt voor het tot stand brengen van de aankoopcontext van elk artefact van derden via MarketPlace.
|
|
VirtualMachineImage
|
Beschrijft een installatiekopieën van een virtuele machine.
|
|
VirtualMachineImageFeature
|
Hiermee geeft u aanvullende mogelijkheden die worden ondersteund door de installatiekopieën
|
|
VmDiskTypes
|
VM-schijftypen die niet zijn toegestaan.
|
AlternativeOption
Object
Beschrijft de alternatieve optie die is opgegeven door publisher voor deze installatiekopieën wanneer deze installatiekopieën zijn afgeschaft.
| Name |
Type |
Description |
|
type
|
AlternativeType
|
Beschrijft het type alternatieve optie.
|
|
value
|
string
|
Geeft de alternatieve optiewaarde aan die is opgegeven door publisher. Dit is de naam van de aanbieding wanneer het type Aanbieding of de abonnementsnaam is wanneer het type Abonnement is.
|
AlternativeType
Opsomming
Beschrijft het type alternatieve optie.
| Waarde |
Description |
|
None
|
|
|
Offer
|
|
|
Plan
|
|
ApiError
Object
Api-fout.
| Name |
Type |
Description |
|
code
|
string
|
De foutcode.
|
|
details
|
ApiErrorBase[]
|
Details van de Api-fout
|
|
innererror
|
InnerError
|
De innerlijke fout van de Api
|
|
message
|
string
|
Het foutbericht.
|
|
target
|
string
|
Het doel van de specifieke fout.
|
ApiErrorBase
Object
Api-foutbasis.
| Name |
Type |
Description |
|
code
|
string
|
De foutcode.
|
|
message
|
string
|
Het foutbericht.
|
|
target
|
string
|
Het doel van de specifieke fout.
|
ArchitectureTypes
Opsomming
Hiermee geeft u het type architectuur
| Waarde |
Description |
|
x64
|
|
|
Arm64
|
|
AutomaticOSUpgradeProperties
Object
Hierin worden de eigenschappen voor automatische upgrade van het besturingssysteem op de installatiekopieën beschreven.
| Name |
Type |
Description |
|
automaticOSUpgradeSupported
|
boolean
|
Hiermee geeft u op of automatische upgrade van het besturingssysteem wordt ondersteund op de installatiekopieën.
|
CloudError
Object
Een foutreactie van de Compute-service.
| Name |
Type |
Description |
|
error
|
ApiError
|
Api-fout.
|
DataDiskImage
Object
Bevat de gegevensschijfinstallatiekopieën.
| Name |
Type |
Description |
|
lun
|
integer
(int32)
|
Hiermee geeft u het nummer van de logische eenheid van de gegevensschijf. Deze waarde wordt gebruikt om gegevensschijven binnen de VIRTUELE machine te identificeren en moet daarom uniek zijn voor elke gegevensschijf die is gekoppeld aan een VIRTUELE machine.
|
DisallowedConfiguration
Object
Hiermee geeft u de niet-toegestane configuratie voor een installatiekopieën van een virtuele machine.
| Name |
Type |
Description |
|
vmDiskType
|
VmDiskTypes
|
VM-schijftypen die niet zijn toegestaan.
|
ExtendedLocation
Object
Het complexe type van de uitgebreide locatie.
| Name |
Type |
Description |
|
name
|
string
|
De naam van de uitgebreide locatie.
|
|
type
|
ExtendedLocationTypes
|
Het type van de uitgebreide locatie.
|
ExtendedLocationTypes
Opsomming
Het type van de uitgebreide locatie.
| Waarde |
Description |
|
EdgeZone
|
|
HyperVGenerationTypes
Opsomming
Hiermee geeft u het HyperVGeneration-type op
ImageDeprecationStatus
Object
Beschrijft eigenschappen van de afschaffingsstatus van de installatiekopieën op de afbeelding.
| Name |
Type |
Description |
|
alternativeOption
|
AlternativeOption
|
Beschrijft de alternatieve optie die is opgegeven door publisher voor deze installatiekopieën wanneer deze installatiekopieën zijn afgeschaft.
|
|
imageState
|
ImageState
|
Beschrijft de status van de afbeelding.
|
|
scheduledDeprecationTime
|
string
(date-time)
|
De tijd, in de toekomst, waarop deze afbeelding wordt gemarkeerd als afgeschaft. Deze geplande tijd wordt gekozen door de uitgever.
|
ImageState
Opsomming
Beschrijft de status van de afbeelding.
| Waarde |
Description |
|
Active
|
|
|
ScheduledForDeprecation
|
|
|
Deprecated
|
|
InnerError
Object
Interne foutdetails.
| Name |
Type |
Description |
|
errordetail
|
string
|
De interne foutmelding of uitzonderingsdump.
|
|
exceptiontype
|
string
|
Het uitzonderingstype.
|
OperatingSystemTypes
Opsomming
Met deze eigenschap kunt u het type besturingssysteem opgeven dat op de schijf is opgenomen als u een virtuele machine maakt op basis van een aangepaste installatiekopie. Mogelijke waarden zijn: Windows,Linux.
| Waarde |
Description |
|
Windows
|
|
|
Linux
|
|
OSDiskImage
Object
Bevat informatie over de installatiekopieën van de besturingssysteemschijf.
PurchasePlan
Object
Wordt gebruikt voor het tot stand brengen van de aankoopcontext van elk artefact van derden via MarketPlace.
| Name |
Type |
Description |
|
name
|
string
|
De plan-id.
|
|
product
|
string
|
Hiermee geeft u het product van de installatiekopieën van de marketplace. Dit is dezelfde waarde als Offer onder het element imageReference.
|
|
publisher
|
string
|
De uitgever-id.
|
VirtualMachineImage
Object
Beschrijft een installatiekopieën van een virtuele machine.
| Name |
Type |
Description |
|
extendedLocation
|
ExtendedLocation
|
De uitgebreide locatie van de virtuele machine.
|
|
id
|
string
|
Resource-id
|
|
location
|
string
|
De ondersteunde Azure-locatie van de resource.
|
|
name
|
string
|
De naam van de resource.
|
|
properties.architecture
|
ArchitectureTypes
|
Hiermee geeft u het type architectuur
|
|
properties.automaticOSUpgradeProperties
|
AutomaticOSUpgradeProperties
|
Hierin worden de eigenschappen voor automatische upgrade van het besturingssysteem op de installatiekopieën beschreven.
|
|
properties.dataDiskImages
|
DataDiskImage[]
|
De lijst met informatie over schijfkopieën.
|
|
properties.disallowed
|
DisallowedConfiguration
|
Hiermee geeft u niet-toegestane configuratie op voor de virtuele machine die is gemaakt op basis van de installatiekopieën
|
|
properties.features
|
VirtualMachineImageFeature[]
|
Hiermee geeft u aanvullende mogelijkheden die worden ondersteund door de installatiekopieën
|
|
properties.hyperVGeneration
|
HyperVGenerationTypes
|
Hiermee geeft u het HyperVGeneration-type op
|
|
properties.imageDeprecationStatus
|
ImageDeprecationStatus
|
Beschrijft eigenschappen van de afschaffingsstatus van de installatiekopieën op de afbeelding.
|
|
properties.osDiskImage
|
OSDiskImage
|
Bevat informatie over de installatiekopieën van de besturingssysteemschijf.
|
|
properties.plan
|
PurchasePlan
|
Wordt gebruikt voor het tot stand brengen van de aankoopcontext van elk artefact van derden via MarketPlace.
|
|
tags
|
object
|
Hiermee geeft u de tags op die zijn toegewezen aan de virtuele machine. Zie Tags gebruiken om uw Azure-resources te organiserenvoor meer informatie over het gebruik van tags.
|
VirtualMachineImageFeature
Object
Hiermee geeft u aanvullende mogelijkheden die worden ondersteund door de installatiekopieën
| Name |
Type |
Description |
|
name
|
string
|
De naam van de functie.
|
|
value
|
string
|
De bijbehorende waarde voor de functie.
|
VmDiskTypes
Opsomming
VM-schijftypen die niet zijn toegestaan.
| Waarde |
Description |
|
None
|
|
|
Unmanaged
|
|